#!/bin/bash


HOME=`xdg-user-dir`
SOGOUDIR=".config/ibus/sogoupy/SogouPY"
ENVFILE="env.ini"
CORRECTFILE="Correction.ini"
MOHUYINFILE="MoHuYin.ini"
PHRASEFILE="Phrases.ini"
DATADIR="/usr/share/ibus-sogoupy/dict/"

SKINDATADIR="/usr/share/ibus-sogoupy/dict/skin"
SKINROOT=".config/ibus/sogoupy/"
SKINDIR="skin/"
SKINFILE="skin.ini"

if [ ! -d $HOME/$SOGOUDIR  ]; then
	mkdir -p $HOME/$SOGOUDIR
fi

if [ ! -d $HOME/$SKINROOT/$SKINDIR ]; then
	mkdir -p $HOME/$SKINROOT/$SKINDIR 
fi

if [ ! -d $HOME/$SKINROOT/$SKINDIR/a/ ]; then
	cp -r $SKINDATADIR/$SKINDIR/a/ $HOME/$SKINROOT/$SKINDIR/
fi

if [ ! -d $HOME/$SKINROOT/$SKINDIR/b/ ]; then
	cp -r $SKINDATADIR/$SKINDIR/b/ $HOME/$SKINROOT/$SKINDIR/
fi

if [ ! -d $HOME/$SKINROOT/$SKINDIR/def/ ]; then
	cp -r $SKINDATADIR/$SKINDIR/def/ $HOME/$SKINROOT/$SKINDIR/
fi

if [ ! -f $HOME/$SKINROOT/$SKINFILE ];then
	cp $SKINDATADIR/$SKINFILE $HOME/$SKINROOT/$SKINFILE
fi

echo $HOME/$SOGOUDIR/$ENVFILE
echo $DATADIR/$ENVFILE
if [ ! -f $HOME/$SOGOUDIR/$ENVFILE ];then
	cp $DATADIR/$ENVFILE $HOME/$SOGOUDIR/
fi

if [ ! -f $HOME/$SOGOUDIR/$CORRECTFILE ];then
	cp $DATADIR/$CORRECTFILE $HOME/$SOGOUDIR/
fi

if [ ! -f $HOME/$SOGOUDIR/$MOHUYINFILE ];then
	cp $DATADIR/$MOHUYINFILE $HOME/$SOGOUDIR/
fi

if [ ! -f $HOME/$SOGOUDIR/$PHRASEFILE ];then
	cp $DATADIR/$PHRASEFILE $HOME/$SOGOUDIR/
fi

gsettings set org.freedesktop.ibus.general dconf-preserve-name-prefixes "['/desktop/ibus/engine/sogoupy', '/desktop/ibus/engine/pinyin', '/desktop/ibus/engine/bopomofo', '/desktop/ibus/engine/hangul']"
/usr/libexec/ibus-engine-sogoupy $*
